item
/api/v1/item/create
POST
/api/v1/item/create
const url = 'https://dpg.example.com/api/v1/item/create';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"item_network":"example","item_domain":"example","item_type":"example","item_state":{"additionalProperty":"example"},"item_locations":[{"lat":1,"lng":1,"label":"example"}],"created_by":"example","consent":{"category":"profile_creation","version":1,"brand":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dpg.example.com/api/v1/item/create \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "item_network": "example", "item_domain": "example", "item_type": "example", "item_state": { "additionalProperty": "example" }, "item_locations": [ { "lat": 1, "lng": 1, "label": "example" } ], "created_by": "example", "consent": { "category": "profile_creation", "version": 1, "brand": "example" } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
item_network
required
string
item_domain
required
string
item_type
required
string
item_state
item_locations
Array<object>
object
lat
required
number
lng
required
number
label
string
created_by
string
consent
object
category
required
string
version
required
integer
brand
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
item_type
required
string
item_id
required
string
Examplegenerated
{ "item_type": "example", "item_id": "example"}
